
########## Tcl recorder starts at 04/24/17 11:52:27 ##########

set version "2.0"
set proj_dir "L:/CSD/P6/ispMACH4128V"
cd $proj_dir

# Get directory paths
set pver $version
regsub -all {\.} $pver {_} pver
set lscfile "lsc_"
append lscfile $pver ".ini"
set lsvini_dir [lindex [array get env LSC_INI_PATH] 1]
set lsvini_path [file join $lsvini_dir $lscfile]
if {[catch {set fid [open $lsvini_path]} msg]} {
	 puts "File Open Error: $lsvini_path"
	 return false
} else {set data [read $fid]; close $fid }
foreach line [split $data '\n'] { 
	set lline [string tolower $line]
	set lline [string trim $lline]
	if {[string compare $lline "\[paths\]"] == 0} { set path 1; continue}
	if {$path && [regexp {^\[} $lline]} {set path 0; break}
	if {$path && [regexp {^bin} $lline]} {set cpld_bin $line; continue}
	if {$path && [regexp {^fpgapath} $lline]} {set fpga_dir $line; continue}
	if {$path && [regexp {^fpgabinpath} $lline]} {set fpga_bin $line}}

set cpld_bin [string range $cpld_bin [expr [string first "=" $cpld_bin]+1] end]
regsub -all "\"" $cpld_bin "" cpld_bin
set cpld_bin [file join $cpld_bin]
set install_dir [string range $cpld_bin 0 [expr [string first "ispcpld" $cpld_bin]-2]]
regsub -all "\"" $install_dir "" install_dir
set install_dir [file join $install_dir]
set fpga_dir [string range $fpga_dir [expr [string first "=" $fpga_dir]+1] end]
regsub -all "\"" $fpga_dir "" fpga_dir
set fpga_dir [file join $fpga_dir]
set fpga_bin [string range $fpga_bin [expr [string first "=" $fpga_bin]+1] end]
regsub -all "\"" $fpga_bin "" fpga_bin
set fpga_bin [file join $fpga_bin]

if {[string match "*$fpga_bin;*" $env(PATH)] == 0 } {
   set env(PATH) "$fpga_bin;$env(PATH)" }

if {[string match "*$cpld_bin;*" $env(PATH)] == 0 } {
   set env(PATH) "$cpld_bin;$env(PATH)" }

lappend auto_path [file join $install_dir "ispcpld" "tcltk" "lib" "ispwidget" "runproc"]
package require runcmd

# Commands to make the Process: 
# Hierarchy
if [runCmd "\"$cpld_bin/vhd2jhd\" matrix_encoder_16key_top.vhd -o matrix_encoder_16key_top.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/vhd2jhd\" matrix_encoder_16key.vhd -o matrix_encoder_16key.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/vhd2jhd\" hex_7seg_decoder.vhd -o hex_7seg_decoder.jhd -m \"$install_dir/ispcpld/generic/lib/vhd/location.map\" -p \"$install_dir/ispcpld/generic/lib\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 04/24/17 11:52:27 ###########


########## Tcl recorder starts at 04/24/17 11:52:40 ##########

# Commands to make the Process: 
# Constraint Editor
if [catch {open matrix_encoder_16key_top.cmd w} rspFile] {
	puts stderr "Cannot create response file matrix_encoder_16key_top.cmd: $rspFile"
} else {
	puts $rspFile "STYFILENAME: matrix_encoder_16key_top.sty
PROJECT: matrix_encoder_16key_top
WORKING_PATH: \"$proj_dir\"
MODULE: matrix_encoder_16key_top
VHDL_FILE_LIST: matrix_encoder_16key.vhd hex_7seg_decoder.vhd matrix_encoder_16key_top.vhd
OUTPUT_FILE_NAME: matrix_encoder_16key_top
SUFFIX_NAME: edi
FREQUENCY:  200
FANIN_LIMIT:  20
DISABLE_IO_INSERTION: false
MAX_TERMS_PER_MACROCELL:  16
MAP_LOGIC: false
SYMBOLIC_FSM_COMPILER: true
NUM_CRITICAL_PATHS:   3
AUTO_CONSTRAIN_IO: true
NUM_STARTEND_POINTS:   0
AREADELAY:  0
WRITE_PRF: true
RESOURCE_SHARING: true
COMPILER_COMPATIBLE: true
DEFAULT_ENUM_ENCODING: default
ARRANGE_VHDL_FILES: true
synthesis_onoff_pragma: false
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/Synpwrap\" -e matrix_encoder_16key_top -target ispmach4000b -pro "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete matrix_encoder_16key_top.cmd
if [runCmd "\"$cpld_bin/edif2blf\" -edf matrix_encoder_16key_top.edi -out matrix_encoder_16key_top.bl0 -err automake.err -log matrix_encoder_16key_top.log -prj matrix_encoder_16key_top -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" matrix_encoder_16key_top.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"matrix_encoder_16key_top.bl1\" -o \"matrix_encoder_16key_top.bl2\" -omod \"matrix_encoder_16key_top\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj matrix_encoder_16key_top -lci matrix_encoder_16key_top.lct -log matrix_encoder_16key_top.imp -err automake.err -tti matrix_encoder_16key_top.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci matrix_encoder_16key_top.lct -blifopt matrix_encoder_16key_top.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" matrix_encoder_16key_top.bl2 -sweep -mergefb -err automake.err -o matrix_encoder_16key_top.bl3 @matrix_encoder_16key_top.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci matrix_encoder_16key_top.lct -dev lc4k -diofft matrix_encoder_16key_top.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" matrix_encoder_16key_top.bl3 -family AMDMACH -idev van -o matrix_encoder_16key_top.bl4 -oxrf matrix_encoder_16key_top.xrf -err automake.err @matrix_encoder_16key_top.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci matrix_encoder_16key_top.lct -dev lc4k -prefit matrix_encoder_16key_top.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp matrix_encoder_16key_top.bl4 -out matrix_encoder_16key_top.bl5 -err automake.err -log matrix_encoder_16key_top.log -mod matrix_encoder_16key_top @matrix_encoder_16key_top.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blifstat\" -i matrix_encoder_16key_top.bl5 -o matrix_encoder_16key_top.sif"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src matrix_encoder_16key_top.bl5 -type BLIF -presrc matrix_encoder_16key_top.bl3 -crf matrix_encoder_16key_top.crf -sif matrix_encoder_16key_top.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_64.dev\" -lci matrix_encoder_16key_top.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 04/24/17 11:52:40 ###########


########## Tcl recorder starts at 04/24/17 11:53:45 ##########

# Commands to make the Process: 
# JEDEC File
if [catch {open matrix_encoder_16key_top.rs1 w} rspFile] {
	puts stderr "Cannot create response file matrix_encoder_16key_top.rs1: $rspFile"
} else {
	puts $rspFile "-i matrix_encoder_16key_top.bl5 -lci matrix_encoder_16key_top.lct -d m4s_128_64 -lco matrix_encoder_16key_top.lco -html_rpt -fti matrix_encoder_16key_top.fti -fmt PLA -tto matrix_encoder_16key_top.tt4 -nojed -eqn matrix_encoder_16key_top.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [catch {open matrix_encoder_16key_top.rs2 w} rspFile] {
	puts stderr "Cannot create response file matrix_encoder_16key_top.rs2: $rspFile"
} else {
	puts $rspFile "-i matrix_encoder_16key_top.bl5 -lci matrix_encoder_16key_top.lct -d m4s_128_64 -lco matrix_encoder_16key_top.lco -html_rpt -fti matrix_encoder_16key_top.fti -fmt PLA -tto matrix_encoder_16key_top.tt4 -eqn matrix_encoder_16key_top.eq3 -tmv NoInput.tmv
-rpt_num 1
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lpf4k\" \"@matrix_encoder_16key_top.rs2\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
file delete matrix_encoder_16key_top.rs1
file delete matrix_encoder_16key_top.rs2
if [runCmd "\"$cpld_bin/tda\" -i matrix_encoder_16key_top.bl5 -o matrix_encoder_16key_top.tda -lci matrix_encoder_16key_top.lct -dev m4s_128_64 -family lc4k -mod matrix_encoder_16key_top -ovec NoInput.tmv -err tda.err "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/synsvf\" -exe \"$install_dir/ispvmsystem/ispufw\" -prj matrix_encoder_16key_top -if matrix_encoder_16key_top.jed -j2s -log matrix_encoder_16key_top.svl "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 04/24/17 11:53:45 ###########


########## Tcl recorder starts at 04/24/17 11:53:54 ##########

# Commands to make the Process: 
# Constraint Editor
# - none -
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src matrix_encoder_16key_top.bl5 -type BLIF -presrc matrix_encoder_16key_top.bl3 -crf matrix_encoder_16key_top.crf -sif matrix_encoder_16key_top.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_64.dev\" -lci matrix_encoder_16key_top.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 04/24/17 11:53:54 ###########


########## Tcl recorder starts at 04/24/17 11:59:32 ##########

# Commands to make the Process: 
# Constraint Editor
if [runCmd "\"$cpld_bin/edif2blf\" -edf matrix_encoder_16key_top.edi -out matrix_encoder_16key_top.bl0 -err automake.err -log matrix_encoder_16key_top.log -prj matrix_encoder_16key_top -lib \"$install_dir/ispcpld/dat/mach.edn\" -net_Vcc VCC -net_GND GND -nbx -dse -tlw -cvt YES -xor"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" matrix_encoder_16key_top.bl0 -collapse none -reduce none -keepwires  -err automake.err -family"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblflink\" \"matrix_encoder_16key_top.bl1\" -o \"matrix_encoder_16key_top.bl2\" -omod \"matrix_encoder_16key_top\"  -err \"automake.err\""] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/impsrc\"  -prj matrix_encoder_16key_top -lci matrix_encoder_16key_top.lct -log matrix_encoder_16key_top.imp -err automake.err -tti matrix_encoder_16key_top.bl2 -dir $proj_dir"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci matrix_encoder_16key_top.lct -blifopt matrix_encoder_16key_top.b2_"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mblifopt\" matrix_encoder_16key_top.bl2 -sweep -mergefb -err automake.err -o matrix_encoder_16key_top.bl3 @matrix_encoder_16key_top.b2_ "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci matrix_encoder_16key_top.lct -dev lc4k -diofft matrix_encoder_16key_top.d0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/mdiofft\" matrix_encoder_16key_top.bl3 -family AMDMACH -idev van -o matrix_encoder_16key_top.bl4 -oxrf matrix_encoder_16key_top.xrf -err automake.err @matrix_encoder_16key_top.d0 "] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/abelvci\" -vci matrix_encoder_16key_top.lct -dev lc4k -prefit matrix_encoder_16key_top.l0"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/prefit\" -blif -inp matrix_encoder_16key_top.bl4 -out matrix_encoder_16key_top.bl5 -err automake.err -log matrix_encoder_16key_top.log -mod matrix_encoder_16key_top @matrix_encoder_16key_top.l0  -sc"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
if [runCmd "\"$cpld_bin/blifstat\" -i matrix_encoder_16key_top.bl5 -o matrix_encoder_16key_top.sif"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}
# Application to view the Process: 
# Constraint Editor
if [catch {open lattice_cmd.rs2 w} rspFile] {
	puts stderr "Cannot create response file lattice_cmd.rs2: $rspFile"
} else {
	puts $rspFile "-nodal -src matrix_encoder_16key_top.bl5 -type BLIF -presrc matrix_encoder_16key_top.bl3 -crf matrix_encoder_16key_top.crf -sif matrix_encoder_16key_top.sif -devfile \"$install_dir/ispcpld/dat/lc4k/m4s_128_64.dev\" -lci matrix_encoder_16key_top.lct
"
	close $rspFile
}
if [runCmd "\"$cpld_bin/lciedit\" @lattice_cmd.rs2"] {
	return
} else {
	vwait done
	if [checkResult $done] {
		return
	}
}

########## Tcl recorder end at 04/24/17 11:59:32 ###########

